Package org.eclipse.emf.cdo.lm.reviews

# Interface DeliveryReview

All Superinterfaces:
  `Baseline`, `CDOObject`, `CDOWithID`, `EObject`, `FloatingBaseline`, `ModelElement`, `ModuleElement`, `Notifier`, `Review`, `StreamElement`, `SystemElement`, `TopicContainer`

All Known Implementing Classes:
  `DeliveryReviewImpl`

public interface DeliveryReview extends Review, FloatingBaseline
A representation of the model object 'Delivery Review'.

See Also:
  - `ReviewsPackage.getDeliveryReview()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Base`
  - `Impact`
  - `Branch`
  - `Deliveries`
  - `Source Change`
  - `Source Commit`
  - `Target Commit`
  - `Rebase Count`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`FixedBaseline`
`getBase()`
Returns the value of the 'Base' reference.
`CDOBranchRef`
`getBranch()`
Returns the value of the 'Branch' attribute.
`EList<Delivery>`
`getDeliveries()`
Returns the value of the 'Deliveries' reference list.
`Impact`
`getImpact()`
Returns the value of the 'Impact' attribute.
`int`
`getRebaseCount()`
Returns the value of the 'Rebase Count' attribute.
`Change`
`getSourceChange()`
Returns the value of the 'Source Change' reference.
`long`
`getSourceCommit()`
Returns the value of the 'Source Commit' attribute.
`long`
`getTargetCommit()`
Returns the value of the 'Target Commit' attribute.
`void`
`setBase(FixedBaseline value)`
Sets the value of the '`Base`' reference.
`void`
`setBranch(CDOBranchRef value)`
Sets the value of the '`Branch`' attribute.
`void`
`setImpact(Impact value)`
Sets the value of the '`Impact`' attribute.
`void`
`setRebaseCount(int value)`
Sets the value of the '`Rebase Count`' attribute.
`void`
`setSourceChange(Change value)`
Sets the value of the '`Source Change`' reference.
`void`
`setSourceCommit(long value)`
Sets the value of the '`Source Commit`' attribute.
`void`
`setTargetCommit(long value)`
Sets the value of the '`Target Commit`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getBranchPoint, getName, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FloatingBaseline

`isClosed, setClosed`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Review

`getAuthor, getId, getReviewers, getStatus, setAuthor, setId, setStatus`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.TopicContainer

`forEachComment, forEachTopic, getComments, getResolvedCount, getReview, getTopic, getTopicCount, getTopics, getTopics, getUnresolvedCount`

## Method Details

### getBase

FixedBaseline getBase()
Returns the value of the 'Base' reference.

Specified by:
  `getBase` in interface `FloatingBaseline`
Returns:
  the value of the 'Base' reference.
See Also:
  - `setBase(FixedBaseline)`
  - `ReviewsPackage.getDeliveryReview_Base()`
Generated
Model
  resolveProxies="false" required="true"

### setBase

void setBase(FixedBaseline value)
Sets the value of the '`Base`' reference.

Parameters:
  `value` - the new value of the 'Base' reference.
See Also:
  - `getBase()`
Generated

### getImpact

Impact getImpact()
Returns the value of the 'Impact' attribute. The literals are from the enumeration `Impact`.

Returns:
  the value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `setImpact(Impact)`
  - `ReviewsPackage.getDeliveryReview_Impact()`
Generated
Model
  required="true"

### setImpact

void setImpact(Impact value)
Sets the value of the '`Impact`' attribute.

Parameters:
  `value` - the new value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `getImpact()`
Generated

### getBranch

CDOBranchRef getBranch()
Returns the value of the 'Branch' attribute. The default value is `""`.

Specified by:
  `getBranch` in interface `FloatingBaseline`
Returns:
  the value of the 'Branch' attribute.
See Also:
  - `setBranch(CDOBranchRef)`
  - `ReviewsPackage.getDeliveryReview_Branch()`
Generated
Model
  default="" dataType="org.eclipse.emf.cdo.etypes.BranchRef" required="true"

### setBranch

void setBranch(CDOBranchRef value)
Sets the value of the '`Branch`' attribute.

Parameters:
  `value` - the new value of the 'Branch' attribute.
See Also:
  - `getBranch()`
Generated

### getDeliveries

EList<Delivery> getDeliveries()
Returns the value of the 'Deliveries' reference list. The list contents are of type `Delivery`.

Specified by:
  `getDeliveries` in interface `FloatingBaseline`
Returns:
  the value of the 'Deliveries' reference list.
See Also:
  - `ReviewsPackage.getDeliveryReview_Deliveries()`
Generated
Model

### getSourceChange

Change getSourceChange()
Returns the value of the 'Source Change' reference.

Returns:
  the value of the 'Source Change' reference.
See Also:
  - `setSourceChange(Change)`
  - `ReviewsPackage.getDeliveryReview_SourceChange()`
Generated
Model
  resolveProxies="false" required="true"

### setSourceChange

void setSourceChange(Change value)
Sets the value of the '`Source Change`' reference.

Parameters:
  `value` - the new value of the 'Source Change' reference.
See Also:
  - `getSourceChange()`
Generated

### getSourceCommit

long getSourceCommit()
Returns the value of the 'Source Commit' attribute.

Returns:
  the value of the 'Source Commit' attribute.
See Also:
  - `setSourceCommit(long)`
  - `ReviewsPackage.getDeliveryReview_SourceCommit()`
Generated
Model
  required="true"

### setSourceCommit

void setSourceCommit(long value)
Sets the value of the '`Source Commit`' attribute.

Parameters:
  `value` - the new value of the 'Source Commit' attribute.
See Also:
  - `getSourceCommit()`
Generated

### getTargetCommit

long getTargetCommit()
Returns the value of the 'Target Commit' attribute.

Returns:
  the value of the 'Target Commit' attribute.
See Also:
  - `setTargetCommit(long)`
  - `ReviewsPackage.getDeliveryReview_TargetCommit()`
Generated
Model
  required="true"

### setTargetCommit

void setTargetCommit(long value)
Sets the value of the '`Target Commit`' attribute.

Parameters:
  `value` - the new value of the 'Target Commit' attribute.
See Also:
  - `getTargetCommit()`
Generated

### getRebaseCount

int getRebaseCount()
Returns the value of the 'Rebase Count' attribute.

Returns:
  the value of the 'Rebase Count' attribute.
See Also:
  - `setRebaseCount(int)`
  - `ReviewsPackage.getDeliveryReview_RebaseCount()`
Generated
Model

### setRebaseCount

void setRebaseCount(int value)
Sets the value of the '`Rebase Count`' attribute.

Parameters:
  `value` - the new value of the 'Rebase Count' attribute.
See Also:
  - `getRebaseCount()`
Generated